
from rest_framework.renderers import JSONRenderer


# custom renderer to fix a horrible python json issue, that corrupts large integers
# issue example: parsing an integer 1204426362794811453 will corrupt the integer into 1204426362794811400.
class FixedJSONRenderer(JSONRenderer):
    def render(self, data, *args, **kwargs):
        if isinstance(data, dict):
            data = {
                key: str(value) if isinstance(value, int) and value > 9007199254740991 else value
                                for key, value in data.items()
            }
        return super().render(data, *args, **kwargs)
